List Agents
curl --request GET \
--url https://johnajayi-avenue.hf.space/v1/agents \
--header 'x-api-key: <api-key>'import requests
url = "https://johnajayi-avenue.hf.space/v1/agents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://johnajayi-avenue.hf.space/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"id": "a9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"developer_id": "d7b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"name": "Auto-Sweep on Full Payment",
"trigger": "BALANCE_ABOVE",
"threshold": 10000000,
"action": "SWEEP",
"destination_wallet_id": "f5c3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"sweep_amount": null,
"is_active": true,
"trigger_count": 4,
"last_triggered_at": "2026-07-01T14:00:00Z",
"created_at": "2026-07-01T13:00:00Z"
}
],
"total": 1,
"page": 1,
"limit": 20
}
}
Agents
List Agents
List all agents globally across all wallets.
GET
/
v1
/
agents
List Agents
Request Headers
string
required
Your live or test API key.
Query Parameters
string
Filter agents attached to a specific wallet.
Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"items": [
{
"id": "a9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"developer_id": "d7b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"name": "Auto-Sweep on Full Payment",
"trigger": "BALANCE_ABOVE",
"threshold": 10000000,
"action": "SWEEP",
"destination_wallet_id": "f5c3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"sweep_amount": null,
"is_active": true,
"trigger_count": 4,
"last_triggered_at": "2026-07-01T14:00:00Z",
"created_at": "2026-07-01T13:00:00Z"
}
],
"total": 1,
"page": 1,
"limit": 20
}
}
Was this page helpful?